    Save the current Sherpa session to a file.

save(filename='sherpa.save', clobber=False)
filename - str, optional
clobber - bool, optional

Save the current session to the file 'sherpa.save'.

>>> save()

Save the current session to the file 'bestfit.sherpa', overwriting any existing version of the file.

>>> save('bestfit.sherpa', clobber=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
filename
The name of the file to write the results to. The default is 'sherpa.save'.
clobber
This flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

Notes

The current Sherpa session is saved using the Python `pickle`

module. The output is a binary file, which may not be portable between versions of Sherpa, but is platform independent, and contains all the data. This means that files created by `save`

can be sent to collaborators to share results.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023